com.lowagie.text

## Interface FontProvider

All Known Implementing Classes:
  FontFactoryImp

    public interface FontProvider

These two methods are used by FactoryProperties (for HTMLWorker). It's implemented by FontFactoryImp.

Since:
  iText 5.0

### Method Summary

Methods
`Font` `getFont(java.lang.String fontname, java.lang.String encoding, boolean embedded, float size, int style, java.awt.Color color)` Constructs a `Font`-object.
`boolean` `isRegistered(java.lang.String fontname)` Checks if a certain font is registered.

### Method Detail

#### isRegistered

    boolean isRegistered(java.lang.String fontname)

Checks if a certain font is registered.

Parameters:
  `fontname` - the name of the font that has to be checked.
Returns:
  true if the font is found

#### getFont

    Font getFont(java.lang.String fontname,
               java.lang.String encoding,
               boolean embedded,
               float size,
               int style,
               java.awt.Color color)

Constructs a `Font`-object.

Parameters:
  `fontname` - the name of the font
  `encoding` - the encoding of the font
  `embedded` - true if the font is to be embedded in the PDF
  `size` - the size of this font
  `style` - the style of this font
  `color` - the `Color` of this font.
Returns:
  the Font constructed based on the parameters